org.appng.xml.platform

## Class Textelements

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Textelements

- All Implemented Interfaces:
    Serializable

      public class Textelements
      extends BaseObject
      implements Serializable

  Java class for textelements complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="textelements">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="label" type="{http://www.appng.org/schema/platform}text-element" maxOccurs="unbounded" minOccurs="0"/>
               <element name="title" type="{http://www.appng.org/schema/platform}text-element" maxOccurs="unbounded" minOccurs="0"/>
               <element name="text" type="{http://www.appng.org/schema/platform}text-element" maxOccurs="unbounded" minOccurs="0"/>
               <element name="lightbox" type="{http://www.appng.org/schema/platform}text-element" maxOccurs="unbounded" minOccurs="0"/>
               <element name="tooltip" type="{http://www.appng.org/schema/platform}text-element" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="target" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<TextElement>` | `label`
    `protected List<TextElement>` | `lightbox`
    `protected String` | `target`
    `protected List<TextElement>` | `text`
    `protected List<TextElement>` | `title`
    `protected List<TextElement>` | `tooltip`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Textelements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TextElement>` | `getLabel()` Gets the value of the label property.
    `List<TextElement>` | `getLightbox()` Gets the value of the lightbox property.
    `String` | `getTarget()` Gets the value of the target property.
    `List<TextElement>` | `getText()` Gets the value of the text property.
    `List<TextElement>` | `getTitle()` Gets the value of the title property.
    `List<TextElement>` | `getTooltip()` Gets the value of the tooltip property.
    `void` | `setTarget(String value)` Sets the value of the target property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          protected List<TextElement> label

    - #### title

          protected List<TextElement> title

    - #### text

          protected List<TextElement> text

    - #### lightbox

          protected List<TextElement> lightbox

    - #### tooltip

          protected List<TextElement> tooltip

    - #### target

          protected String target

  - ### Constructor Detail

    - #### Textelements

          public Textelements()

  - ### Method Detail

    - #### getLabel

          public List<TextElement> getLabel()

      Gets the value of the label property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the label property.

      For example, to add a new item, do as follows:

              getLabel().add(newItem);

      Objects of the following type(s) are allowed in the list `TextElement`

    - #### getTitle

          public List<TextElement> getTitle()

      Gets the value of the title property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the title property.

      For example, to add a new item, do as follows:

              getTitle().add(newItem);

      Objects of the following type(s) are allowed in the list `TextElement`

    - #### getText

          public List<TextElement> getText()

      Gets the value of the text property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the text property.

      For example, to add a new item, do as follows:

              getText().add(newItem);

      Objects of the following type(s) are allowed in the list `TextElement`

    - #### getLightbox

          public List<TextElement> getLightbox()

      Gets the value of the lightbox property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the lightbox property.

      For example, to add a new item, do as follows:

              getLightbox().add(newItem);

      Objects of the following type(s) are allowed in the list `TextElement`

    - #### getTooltip

          public List<TextElement> getTooltip()

      Gets the value of the tooltip property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tooltip property.

      For example, to add a new item, do as follows:

              getTooltip().add(newItem);

      Objects of the following type(s) are allowed in the list `TextElement`

    - #### getTarget

          public String getTarget()

      Gets the value of the target property.
      Returns:
        possible object is `String`

    - #### setTarget

          public void setTarget(String value)

      Sets the value of the target property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.